<template>
  <div>
    <md-dialog :md-active.sync="this.$store.state.redirectLoginPage" class="redirectLoginModal">
      <!-- <md-dialog-title>Please login before any action</md-dialog-title> -->
      <div class="md-gutter md-alignment-center">
        <md-card class="md-medium-size-33 md-small-size-50 md-xsmall-size-100">
          <md-card-content class="custom-modal-content">
            <h2>Please login before any action</h2>
          </md-card-content>
          <md-dialog-actions>
            <md-button class="md-primary" @click="toggleShowModal('redirectLogin')">Cancel</md-button>
            <md-button class="md-raised md-primary" @click="redirectToLoginPage">Login page</md-button>
          </md-dialog-actions>
        </md-card>
      </div>
    </md-dialog>
  </div>
</template>

<script>
import { mapMutations } from "vuex";

export default {
  name: "DialogCustom",

  data() {
    return {
      showHideModal: false
    };
  },
  methods: {
    ...mapMutations(["toggleShowModal"]),
    redirectToLoginPage() {
      this.toggleShowModal("redirectLogin");
      this.$router.push("login");
    }
  }
};
</script>

<style lang="scss" scoped>
.md-dialog {
  width: 500px;
}
.redirectLoginModal {
  .custom-modal-content {
    padding-top: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
  }
}
</style>
